<p align="center">
  <img src="images/gleam-logo-readme.png" alt="Gleam logo">
</p>

<p align="center">
  <a href="https://github.com/gleam-lang/gleam/releases"><img src="https://img.shields.io/github/release/gleam-lang/gleam" alt="GitHub release"></a>
  <a href="https://discord.gg/Fm8Pwmy"><img src="https://img.shields.io/discord/768594524158427167?color=blue" alt="Discord chat"></a>
  <a><img src="https://github.com/gleam-lang/gleam/workflows/ci/badge.svg?branch=main"></a>
  <a href="https://gitpod.io/#https://github.com/gleam-lang/gleam"><img src="https://img.shields.io/badge/Gitpod-ready--to--code-blue?logo=gitpod"></a>
</p>


<!-- A spacer -->
<div>&nbsp;</div>

Gleam is a friendly language for building type-safe, scalable systems!

It compiles to [Erlang](http://www.erlang.org/) and has straightforward interop with other
BEAM languages such as Erlang, Elixir and LFE.

For more information see the Gleam website: [https://gleam.run](https://gleam.run).

## Sponsors

Gleam is kindly supported by its sponsors. If you would like to support Gleam
please consider sponsoring its development [on GitHub](https://github.com/sponsors/lpil).

Thank you to our top sponsors! Gleam would not be possible without you.

<p>
  <a href="https://fly.io/"><img width=200 src="https://gleam.run/images/sponsors/flyio.png" alt="Fly.io"></a>
</p>

<p>
  <a href="http://www.ninefx.com"><img width=120 src="https://gleam.run/images/sponsors/nine-fx.png" alt="NineFX"></a>
  <a href="https://github.com/J3RN"><img width=120 src="https://avatars.githubusercontent.com/u/2058614?v=4" alt="Jonathan Arnett"></a>
  <a href="https://github.com/hypno2000"><img width=120 src="https://avatars.githubusercontent.com/u/417241?s=460&v=4" alt="Alexander Babin"></a>
  <a href="https://skunkwerks.at/"><img width=120 src="https://avatars.githubusercontent.com/u/6563319?s=200&v=4" alt="SkunkWerks GmbH"></a>
</p>

<!-- Below this line this file is autogenerated -->

 - [Adam Brodzinski](https://github.com/AdamBrodzinski)
 - [Adi Iyengar](https://github.com/thebugcatcher)
 - [Ali Farhadi](https://github.com/farhadi)
 - [Arto Bendiken](https://github.com/artob)
 - [Ben Marx](https://github.com/bgmarx)
 - [Ben Myles](https://github.com/benmyles)
 - [Charles Chamberlain](https://github.com/charlesetc)
 - [Chew Choon Keat](https://github.com/choonkeat)
 - [Christian Meunier](https://github.com/tlvenn)
 - [clangley](https://github.com/clangley)
 - [Clay](https://github.com/connorlay)
 - [Cole Lawrence](https://github.com/colelawrence)
 - [Colin](https://github.com/insanitybit)
 - [Dan Dresselhaus](https://github.com/ddresselhaus)
 - [Dan Mueller](https://github.com/unthought)
 - [Dave Lucia](https://github.com/davydog187)
 - [David Armstrong Lewis](https://github.com/davidarmstronglewis)
 - [David Flanagan](https://github.com/rawkode)
 - [Dennis Dang](https://github.com/dangdennis)
 - [Eric Meadows-Jönsson](https://github.com/ericmj)
 - [Erik Terpstra](https://github.com/eterps)
 - [Florian Kraft](https://github.com/floriank)
 - [fly.io](https://github.com/superfly)
 - [Gitpod](https://github.com/gitpod-io)
 - [Gustavo Villa](https://github.com/gfvcastro)
 - [Henry Warren](https://github.com/henrysdev)
 - [Herdy Handoko](https://github.com/hhandoko)
 - [Ian González](https://github.com/Ian-GL)
 - [Ingmar Gagen](https://github.com/igagen)
 - [Ivar Vong](https://github.com/ivarvong)
 - [James MacAulay](https://github.com/jamesmacaulay)
 - [Jechol Lee](https://github.com/jechol)
 - [Jeff Kreeftmeijer](https://github.com/jeffkreeftmeijer)
 - [jiangplus](https://github.com/jiangplus)
 - [Joe Corkerton](https://github.com/joecorkerton)
 - [John Palgut](https://github.com/Jwsonic)
 - [Jonathan Arnett](https://github.com/J3RN)
 - [José Valim](https://github.com/josevalim)
 - [João Veiga](https://github.com/jveiga)
 - [Kapp Technology](https://github.com/kapp-technology)
 - [Lars Wikman](https://github.com/lawik)
 - [Marcin Puc](https://github.com/tranzystorek-io)
 - [Marius Kalvø](https://github.com/mariuskalvo)
 - [Michael Jones](https://github.com/michaeljones)
 - [Mike Roach](https://github.com/mroach)
 - [Milton Mazzarri](https://github.com/milmazz)
 - [Nick Reynolds](https://github.com/ndreynolds)
 - [NineFX](http://www.ninefx.com)
 - [Parker Selbert](https://github.com/sorentwo)
 - [Pete Jodo](https://github.com/petejodo)
 - [qingliangcn](https://github.com/qingliangcn)
 - [Raúl Chouza ](https://github.com/chouzar)
 - [Reio Piller](https://github.com/hypno2000)
 - [Sascha Wolf](https://github.com/sascha-wolf)
 - [Scott Wey](https://github.com/scottwey)
 - [Sean Jensen-Grey](https://github.com/seanjensengrey)
 - [Shunji Lin](https://github.com/shunjilin)
 - [Shuqian Hon](https://github.com/honsq90)
 - [SkunkWerks GmbH](https://skunkwerks.at/)
 - [SmartLogic](https://github.com/smartlogic)
 - [Strand Communications](https://github.com/strandcom)
 - [Tomochika Hara](https://github.com/thara)
 - [Tristan Sloughter](https://github.com/tsloughter)
 - [Uku Taht](https://github.com/ukutaht)
 - [Vincent Le Goff](https://github.com/vincent-lg)
 - [Wilson Silva](https://github.com/wilsonsilva)
 - [Wojtek Mach](https://github.com/wojtekmach)
 - [YourMother-really](https://github.com/YourMother-really)
 - [Yt](https://github.com/happysalada)
 - [Yu Matsuzawa](https://github.com/ymtszw)
